# __gnu_cxx::__detail::_Functor_Ref< _Functor > Class Template Reference

Inheritance diagram for __gnu_cxx::__detail::_Functor_Ref< _Functor >:

List of all members.

## Detailed Description

### template<typename _Functor>
class __gnu_cxx::__detail::_Functor_Ref< _Functor >

Definition at line 334 of file bitmap_allocator.h.

## Public Types

- typedef _Functor::argument_type argument_type
- typedef _Functor::result_type result_type

## Public Member Functions

- _Functor_Ref (_Functor &__fref)
- result_type operator() (argument_type __arg)

## Member Typedef Documentation

template<typename _Functor>

typedef _Functor::argument_type __gnu_cxx::__detail::_Functor_Ref< _Functor >::argument_type

`argument_type` is the type of the

Reimplemented from std::unary_function< _Functor::argument_type, _Functor::result_type >.

Definition at line 341 of file bitmap_allocator.h.

template<typename _Functor>

typedef _Functor::result_type __gnu_cxx::__detail::_Functor_Ref< _Functor >::result_type

argument (no surprises here) `result_type` is the return type

Reimplemented from std::unary_function< _Functor::argument_type, _Functor::result_type >.

Definition at line 342 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h